Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.nortel.soa.oi.cct.types
Class ContactCapabilities

    java.lang.Object
      com.nortel.soa.oi.cct.types.ContactCapabilities

    public class ContactCapabilities

extends java.lang.Object

Java class for contactCapabilities complex type.

The following schema fragment specifies the expected content contained within this class.

     <complexType name="contactCapabilities">
       <complexContent>
         <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
           <sequence>
             <element name="canAddParty" type="{http://www.w3.org/2001/XMLSchema}boolean"/>
             <element name="canBargeIn" type="{http://www.w3.org/2001/XMLSchema}boolean"/>
             <element name="canDrop" type="{http://www.w3.org/2001/XMLSchema}boolean"/>
             <element name="canGetAttachedData" type="{http://www.w3.org/2001/XMLSchema}boolean"/>
             <element name="canGetCallingTerminal" type="{http://www.w3.org/2001/XMLSchema}boolean"/>
             <element name="canGetIntrinsics" type="{http://www.w3.org/2001/XMLSchema}boolean"/>
             <element name="canGetInstantMessages" type="{http://www.w3.org/2001/XMLSchema}boolean"/>
             <element name="canGetLastRedirectedAddress" type="{http://www.w3.org/2001/XMLSchema}boolean"/>
             <element name="canGetOriginalDestination" type="{http://www.w3.org/2001/XMLSchema}boolean"/>
             <element name="canGetUUI" type="{http://www.w3.org/2001/XMLSchema}boolean"/>
             <element name="canObserve" type="{http://www.w3.org/2001/XMLSchema}boolean"/>
             <element name="canSetAttachedData" type="{http://www.w3.org/2001/XMLSchema}boolean"/>
             <element name="canSetIntrinsics" type="{http://www.w3.org/2001/XMLSchema}boolean"/>
             <element name="canSetUUI" type="{http://www.w3.org/2001/XMLSchema}boolean"/>
             <element name="canWhisper" type="{http://www.w3.org/2001/XMLSchema}boolean"/>
           </sequence>
         </restriction>
       </complexContent>
     </complexType>

Constructor Summary
`ContactCapabilities()`

Method Summary
`boolean` | `isCanAddParty()` Gets the value of the canAddParty property.
`boolean` | `isCanBargeIn()` Gets the value of the canBargeIn property.
`boolean` | `isCanDrop()` Gets the value of the canDrop property.
`boolean` | `isCanGetAttachedData()` Gets the value of the canGetAttachedData property.
`boolean` | `isCanGetCallingTerminal()` Gets the value of the canGetCallingTerminal property.
`boolean` | `isCanGetInstantMessages()` Gets the value of the canGetInstantMessages property.
`boolean` | `isCanGetIntrinsics()` Gets the value of the canGetIntrinsics property.
`boolean` | `isCanGetLastRedirectedAddress()` Gets the value of the canGetLastRedirectedAddress property.
`boolean` | `isCanGetOriginalDestination()` Gets the value of the canGetOriginalDestination property.
`boolean` | `isCanGetUUI()` Gets the value of the canGetUUI property.
`boolean` | `isCanObserve()` Gets the value of the canObserve property.
`boolean` | `isCanSetAttachedData()` Gets the value of the canSetAttachedData property.
`boolean` | `isCanSetIntrinsics()` Gets the value of the canSetIntrinsics property.
`boolean` | `isCanSetUUI()` Gets the value of the canSetUUI property.
`boolean` | `isCanWhisper()` Gets the value of the canWhisper property.
`void` | `setCanAddParty(boolean value)` Sets the value of the canAddParty property.
`void` | `setCanBargeIn(boolean value)` Sets the value of the canBargeIn property.
`void` | `setCanDrop(boolean value)` Sets the value of the canDrop property.
`void` | `setCanGetAttachedData(boolean value)` Sets the value of the canGetAttachedData property.
`void` | `setCanGetCallingTerminal(boolean value)` Sets the value of the canGetCallingTerminal property.
`void` | `setCanGetInstantMessages(boolean value)` Sets the value of the canGetInstantMessages property.
`void` | `setCanGetIntrinsics(boolean value)` Sets the value of the canGetIntrinsics property.
`void` | `setCanGetLastRedirectedAddress(boolean value)` Sets the value of the canGetLastRedirectedAddress property.
`void` | `setCanGetOriginalDestination(boolean value)` Sets the value of the canGetOriginalDestination property.
`void` | `setCanGetUUI(boolean value)` Sets the value of the canGetUUI property.
`void` | `setCanObserve(boolean value)` Sets the value of the canObserve property.
`void` | `setCanSetAttachedData(boolean value)` Sets the value of the canSetAttachedData property.
`void` | `setCanSetIntrinsics(boolean value)` Sets the value of the canSetIntrinsics property.
`void` | `setCanSetUUI(boolean value)` Sets the value of the canSetUUI property.
`void` | `setCanWhisper(boolean value)` Sets the value of the canWhisper property.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ContactCapabilities

    public ContactCapabilities()

Method Detail

### isCanAddParty

    public boolean isCanAddParty()

  Gets the value of the canAddParty property.

### setCanAddParty

    public void setCanAddParty(boolean value)

  Sets the value of the canAddParty property.

### isCanBargeIn

    public boolean isCanBargeIn()

  Gets the value of the canBargeIn property.

### setCanBargeIn

    public void setCanBargeIn(boolean value)

  Sets the value of the canBargeIn property.

### isCanDrop

    public boolean isCanDrop()

  Gets the value of the canDrop property.

### setCanDrop

    public void setCanDrop(boolean value)

  Sets the value of the canDrop property.

### isCanGetAttachedData

    public boolean isCanGetAttachedData()

  Gets the value of the canGetAttachedData property.

### setCanGetAttachedData

    public void setCanGetAttachedData(boolean value)

  Sets the value of the canGetAttachedData property.

### isCanGetCallingTerminal

    public boolean isCanGetCallingTerminal()

  Gets the value of the canGetCallingTerminal property.

### setCanGetCallingTerminal

    public void setCanGetCallingTerminal(boolean value)

  Sets the value of the canGetCallingTerminal property.

### isCanGetIntrinsics

    public boolean isCanGetIntrinsics()

  Gets the value of the canGetIntrinsics property.

### setCanGetIntrinsics

    public void setCanGetIntrinsics(boolean value)

  Sets the value of the canGetIntrinsics property.

### isCanGetInstantMessages

    public boolean isCanGetInstantMessages()

  Gets the value of the canGetInstantMessages property.

### setCanGetInstantMessages

    public void setCanGetInstantMessages(boolean value)

  Sets the value of the canGetInstantMessages property.

### isCanGetLastRedirectedAddress

    public boolean isCanGetLastRedirectedAddress()

  Gets the value of the canGetLastRedirectedAddress property.

### setCanGetLastRedirectedAddress

    public void setCanGetLastRedirectedAddress(boolean value)

  Sets the value of the canGetLastRedirectedAddress property.

### isCanGetOriginalDestination

    public boolean isCanGetOriginalDestination()

  Gets the value of the canGetOriginalDestination property.

### setCanGetOriginalDestination

    public void setCanGetOriginalDestination(boolean value)

  Sets the value of the canGetOriginalDestination property.

### isCanGetUUI

    public boolean isCanGetUUI()

  Gets the value of the canGetUUI property.

### setCanGetUUI

    public void setCanGetUUI(boolean value)

  Sets the value of the canGetUUI property.

### isCanObserve

    public boolean isCanObserve()

  Gets the value of the canObserve property.

### setCanObserve

    public void setCanObserve(boolean value)

  Sets the value of the canObserve property.

### isCanSetAttachedData

    public boolean isCanSetAttachedData()

  Gets the value of the canSetAttachedData property.

### setCanSetAttachedData

    public void setCanSetAttachedData(boolean value)

  Sets the value of the canSetAttachedData property.

### isCanSetIntrinsics

    public boolean isCanSetIntrinsics()

  Gets the value of the canSetIntrinsics property.

### setCanSetIntrinsics

    public void setCanSetIntrinsics(boolean value)

  Sets the value of the canSetIntrinsics property.

### isCanSetUUI

    public boolean isCanSetUUI()

  Gets the value of the canSetUUI property.

### setCanSetUUI

    public void setCanSetUUI(boolean value)

  Sets the value of the canSetUUI property.

### isCanWhisper

    public boolean isCanWhisper()

  Gets the value of the canWhisper property.

### setCanWhisper

    public void setCanWhisper(boolean value)

  Sets the value of the canWhisper property.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2010 All Rights Reserved.